Package org.opensaml.saml.saml2.core.impl

# Class AuthzDecisionQueryImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.signature.AbstractSignableXMLObject
org.opensaml.saml.common.AbstractSignableSAMLObject
org.opensaml.saml.saml2.core.impl.RequestAbstractTypeImpl
org.opensaml.saml.saml2.core.impl.SubjectQueryImpl
org.opensaml.saml.saml2.core.impl.AuthzDecisionQueryImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `SignableSAMLObject`, `AuthzDecisionQuery`, `RequestAbstractType`, `SubjectQuery`, `SignableXMLObject`

public class AuthzDecisionQueryImpl extends SubjectQueryImpl implements AuthzDecisionQuery
Concrete implementation of `AuthzDecisionQuery`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<Action>`
`actions`
Action child elements.
`private Evidence`
`evidence`
Evidence child element.
`private String`
`resource`
Resource attribute value.

### Fields inherited from interface org.opensaml.saml.saml2.core.AuthzDecisionQuery

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, RESOURCE_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.saml.saml2.core.RequestAbstractType

`CONSENT_ATTRIB_NAME, DESTINATION_ATTRIB_NAME, EXPLICIT_CONSENT, ID_ATTRIB_NAME, IMPLICIT_CONSENT, INAPPLICABLE_CONSENT, ISSUE_INSTANT_ATTRIB_NAME, ISSUE_INSTANT_ATTRIB_QNAME, OBTAINED_CONSENT, PRIOR_CONSENT, TYPE_LOCAL_NAME, TYPE_NAME, UNAVAILABLE_CONSENT, UNSPECIFIED_CONSENT, VERSION_ATTRIB_NAME`

### Fields inherited from interface org.opensaml.saml.saml2.core.SubjectQuery

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AuthzDecisionQueryImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<Action>`
`getActions()`
Gets the Actions of this query.
`Evidence`
`getEvidence()`
Gets the Evidence of this query.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getResource()`
Gets the Resource attrib value of this query.
`void`
`setEvidence(Evidence newEvidence)`
Sets the Evidence of this query.
`void`
`setResource(String newResource)`
Sets the Resource attrib value of this query.

### Methods inherited from class org.opensaml.saml.saml2.core.impl.SubjectQueryImpl

`getSubject, setSubject`

### Methods inherited from class org.opensaml.saml.saml2.core.impl.RequestAbstractTypeImpl

`getConsent, getDestination, getExtensions, getID, getIssueInstant, getIssuer, getSignatureReferenceID, getVersion, setConsent, setDestination, setExtensions, setID, setIssueInstant, setIssuer, setVersion`

### Methods inherited from class org.opensaml.saml.common.AbstractSignableSAMLObject

`equals, hashCode, setSignature`

### Methods inherited from class org.opensaml.xmlsec.signature.AbstractSignableXMLObject

`getSignature, isSigned`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.saml.saml2.core.RequestAbstractType

`getConsent, getDestination, getExtensions, getID, getIssueInstant, getIssuer, getVersion, setConsent, setDestination, setExtensions, setID, setIssueInstant, setIssuer, setVersion`

### Methods inherited from interface org.opensaml.saml.common.SignableSAMLObject

`getSignatureReferenceID`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned, setSignature`

### Methods inherited from interface org.opensaml.saml.saml2.core.SubjectQuery

`getSubject, setSubject`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### resource

@Nullable private String resource
Resource attribute value.

### evidence

@Nullable private Evidence evidence
Evidence child element.

### actions

@Nonnull private final XMLObjectChildrenList<Action> actions
Action child elements.

## Constructor Details

### AuthzDecisionQueryImpl

protected AuthzDecisionQueryImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getResource

@Nullable public String getResource()
Gets the Resource attrib value of this query.

Specified by:
  `getResource` in interface `AuthzDecisionQuery`
Returns:
  the Resource attrib value of this query

### setResource

public void setResource(@Nullable String newResource)
Sets the Resource attrib value of this query.

Specified by:
  `setResource` in interface `AuthzDecisionQuery`
Parameters:
  `newResource` - the new Resource attrib value of this query

### getActions

@Nonnull @Live public List<Action> getActions()
Gets the Actions of this query.

Specified by:
  `getActions` in interface `AuthzDecisionQuery`
Returns:
  the Actions of this query

### getEvidence

@Nullable public Evidence getEvidence()
Gets the Evidence of this query.

Specified by:
  `getEvidence` in interface `AuthzDecisionQuery`
Returns:
  the Evidence of this query

### setEvidence

public void setEvidence(@Nullable Evidence newEvidence)
Sets the Evidence of this query.

Specified by:
  `setEvidence` in interface `AuthzDecisionQuery`
Parameters:
  `newEvidence` - the new Evidence of this query

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Overrides:
  `getOrderedChildren` in class `SubjectQueryImpl`
Returns:
  ordered list of child elements